Rensei docs

Register a remote A2A agent

Discovers and persists an `AgentCard` from the supplied URL. The platform fetches `<url>/.well-known/agent-card.json` (or the URL itself if it returns a valid AgentCard) and stores the result. Validation / discovery errors are surfaced as 400. Auth: session cookie via `requireOrgAccess()` (cookie-only today).

POST
/api/a2a/agents

Authorization

cookieAuth
wos-session<token>

WorkOS AuthKit browser session cookie.

In: cookie

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/api/a2a/agents" \  -H "Content-Type: application/json" \  -d '{    "url": "http://example.com"  }'
{
  "agent": {
    "id": "string",
    "orgId": "string",
    "url": "http://example.com",
    "trustLevel": "internal",
    "card": {
      "name": "string",
      "url": "http://example.com",
      "version": "string",
      "description": "string",
      "skills": [
        {}
      ]
    },
    "lastFetchedAt": "2019-08-24T14:15:22Z",
    "reachable": true,
    "createdAt": "2019-08-24T14:15:22Z",
    "updatedAt": "2019-08-24T14:15:22Z"
  }
}
{
  "error": "Session not found"
}
{
  "error": "Session not found"
}